# -*- rpm-spec -*-
# $Id: kernel-feat-dm,v 1.25 2004/01/22 13:29:08 tren Exp $
#
%define  patch_name kernel-feat-dm
%define  kernel_version 2.4.22
%define  feat_release 4

Name: %patch_name
Version: 2004.01.22
Release: alt1

Summary: %patch_name kernel patch - Device Mapper driver
License: GPL
Group: Development/Other
#Url: http://people.sistina.com/~thornber/patches/2.4-stable/%kernel_version/
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

#Source0: %kernel_version-dm-%feat_release.tar.bz2
Source0: linux-%kernel_version-devmapper-ioctl.patch
Source1: 01_BLKGETSIZE64-alt.patch
Source2: 02_ioctl_size.patch
Source3: linux-%kernel_version-VFS-lock.patch

BuildArch: noarch
BuildPreReq: kernel-build-tools patchutils

%description
This patch adds Device Mapper support. 
Can be used by EVMS or dmsetup utilities.

%prep
#%setup -q -n %kernel_version-dm-%feat_release

%install
#make main dirs
%__mkdir_p %patches_dir/%patch_name/24 %patches_dir/%patch_name/24/01_kernel-fix-lvm

#for i in *.patch; do
#	%__install -p -m 644 $i %patches_dir/%patch_name
#done

%__install -p -m 644 %SOURCE0 %patches_dir/%patch_name/24/001_linux-%kernel_version-devmapper-ioctl.patch
%__install -p -m 644 %SOURCE1 %patches_dir/%patch_name/24
%__install -p -m 644 %SOURCE2 %patches_dir/%patch_name/24
filterdiff -i '*drivers/md/dm*' < %SOURCE3 > %patches_dir/%patch_name/24/01_kernel-fix-lvm/002_linux-%kernel_version-VFS-lock.patch

#remove kgdb
#%__rm %patches_dir/%patch_name/00008.patch

%files
%patches/%patch_name

%changelog
* Thu Jan 22 2004 Zhenja Kaluta <tren@altlinux.ru> 2004.01.22-alt1
- Added kernel-fix-lvm dependence

* Wed Jan 21 2004 Zhenja Kaluta <tren@altlinux.ru> 2004.01.21-alt1
- vfs lock splited

* Thu Jan 15 2004 Zhenja Kaluta <tren@altlinux.ru> 2004.01.15-alt1
- Removed 2.6 fixes

* Thu Jan 15 2004 Zhenja Kaluta <tren@altlinux.ru> 2003.11.18-alt4
- Added 2.6 fixes

* Thu Jan  8 2004 Zhenja Kaluta <tren@altlinux.ru> 2003.11.18-alt3
- changed version to macros

* Mon Dec 15 2003 Zhenja Kaluta <tren@altlinux.ru> 2003.11.18-alt2
- Added vfs patch

* Fri Dec 12 2003 Zhenja Kaluta <tren@altlinux.ru> 2003.11.18-alt1
- New upstream release

* Thu Nov 27 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.07.10-alt9
- release

* Wed Sep 24 2003 Zhenja Kaluta <tren@altlinux.ru> 2003.07.10-alt8
- Fixed adding patches

* Tue Sep 23 2003 Zhenja Kaluta <tren@altlinux.ru> 2003.07.10-alt7
- ioctl return size fix

* Sun Sep 14 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.07.10-alt6
- BLKGETSIZE64 fix

* Tue Sep  2 2003 Zhenja Kaluta <tren@altlinux.ru> 2003.07.10-alt5
- Removed .orig files from added patches

* Tue Sep  2 2003 Zhenja Kaluta <tren@altlinux.ru> 2003.07.10-alt4
- new upstream release

* Tue Aug 26 2003 Zhenja Kaluta <tren@altlinux.ru> 2003.07.10-alt3
- Mixed with lvm fix

* Mon Aug 18 2003 Zhenja Kaluta <tren@altlinux.ru> 2003.07.10-alt2
- New upstream release

* Thu Jul 10 2003 Zhenja Kaluta <tren@altlinux.ru> 2003.07.10-alt1
- Initial release (2.4.21 kernel)

